curl -X PUT https://api.helvcore.ch/v1/accounts \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"accounts": [
{
"account_class": "string",
"account_code": "string",
"account_name": "string",
"account_type": "asset",
"account_id": "string",
"currency": "CHF",
"status": "active"
}
],
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"source_reference": "string",
"valid_from": "2026-03-31"
}'const res = await fetch("https://api.helvcore.ch/v1/accounts", {
method: "PUT",
headers: {
"Authorization": `Bearer ${process.env.HELVCORE_API_KEY}`,
"Idempotency-Key": crypto.randomUUID(),
"Content-Type": "application/json"
},
body: JSON.stringify({
"accounts": [
{
"account_class": "string",
"account_code": "string",
"account_name": "string",
"account_type": "asset",
"account_id": "string",
"currency": "CHF",
"status": "active"
}
],
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"source_reference": "string",
"valid_from": "2026-03-31"
})
});
const data = await res.json();import os, requests, uuid
headers = {"Authorization": f"Bearer {os.environ['HELVCORE_API_KEY']}"}
headers["Idempotency-Key"] = str(uuid.uuid4())
headers["Content-Type"] = "application/json"
res = requests.put("https://api.helvcore.ch/v1/accounts", headers=headers, json={
"accounts": [
{
"account_class": "string",
"account_code": "string",
"account_name": "string",
"account_type": "asset",
"account_id": "string",
"currency": "CHF",
"status": "active"
}
],
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"source_reference": "string",
"valid_from": "2026-03-31"
})
data = res.json()
curl -X PUT https://api.helvcore.ch/v1/accounts \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"accounts": [
{
"account_class": "string",
"account_code": "string",
"account_name": "string",
"account_type": "asset",
"account_id": "string",
"currency": "CHF",
"status": "active"
}
],
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"source_reference": "string",
"valid_from": "2026-03-31"
}'
202
{
"accounts": [
{
"account_class": "string",
"account_code": "string",
"account_name": "string",
"account_type": "asset",
"account_id": "string",
"currency": "CHF",
"status": "active"
}
],
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"source_reference": "string",
"valid_from": "2026-03-31"
}
{
"data": [
{
"account_class": "string",
"account_code": "string",
"account_id": "string",
"account_name": "string",
"account_type": "asset",
"currency": "CHF",
"mappings": [
{
"account_mapping_id": {},
"mapping_key": {},
"valid_from": {},
"valid_to": {},
"version": {}
}
],
"object": "account",
"status": "active"
}
],
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"has_more": false,
"object": "account_list",
"valid_on": "2026-03-31"
}
{
"accounts": [
{
"account_class": "string",
"account_code": "string",
"account_name": "string",
"account_type": "asset",
"account_id": "string",
"currency": "CHF",
"status": "active"
}
],
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"source_reference": "string",
"valid_from": "2026-03-31"
}